---
icon: home
label: Welcome
order: 1100
---

# Welcome to Notesnook

!!!info Work in Progress
We are currently working on writing detailed docs for our app. The current version of docs is incomplete. If you would like to help us improve the docs, you can fork the repo on [github](https://github.com/streetwriters/notesnook) and send a pull request.
!!!


Notesnook is a simple and cross-platform **private notes app** that keeps all your notes organized and synced between your phone, tablet and computer.

<img src="https://github.com/streetwriters/notesnook/raw/main/banners/crossplatform.jpg" alt="Notesnook - Take private notes"/>

We use best-in-class encryption algorithms **XChaCha20-Poly1305 & Argon2** that are stronger & safer than AES256, impenetrable & future-proof. Your notes are always encrypted on your device first and then stored on servers. All your notes are 100% private. **No one but only you can read your notes (not even us).**

Take notes, capture ideas, create to-do lists, keep a journal, write your assignments and manage projects, we have got you covered everywhere.

## Features

Privacy isn't the only thing that Notesnook offers:

1. Cross platform - Notesnook supports apps on all platforms and works even on your browser.
2. End to end encrypted private note syncing between unlimited devices.
3. Organize your notes with notebooks, tags and colors.
4. Encrypt/lock your notes in a private vault locally.
5. Full rich text editor with markdown support.
6. Focus mode (distraction-free mode).
7. Export notes in HTML, Markdown, PDF & other Text formats.
8. Automatic backups.
9. Dark mode and custom accents.
10. Notesnook Monograph - Share your notes on public url with just one click in a safe and secure way.

Notesnook is specifically designed for each platform to give you the best private note taking experience.

## Download

Notesnook is available to download on Android, iOS, Windows, MacOS, and Linux. Please head over to our [website](https://notesnook.com/) download Notesnook if you have not already.

## Support

For technical questions, doubts or support, join our [Discord](https://discord.com/invite/5davZnhw3V). We are available 24/7 to respond to your queries. You can also join to communicate our ever growing community members and share your experiences on Discord.

If you found any bug or like to submit a feature request, please create an [Issue](https://github.com/streetwriters/notesnook/issues) and we will review right away.

If you have any other general inquiry, feel free to contact us at support@notesnook.com.
